# Interface TransitionHookOptions

interface TransitionHookOptions {
bind?: any;
current?: () => Transition;
hookType?: string;
stateHook?: boolean;
target?: any;
traceData?: any;
transition?: Transition;
}

- Defined in src/router/transition/interface.ts:98

##### Index

### Properties

bind?
current?
hookType?
stateHook?
target?
traceData?
transition?

## Properties

### `Optional` bind

bind?: any

- Defined in src/router/transition/interface.ts:104

### `Optional` current

current?: () => Transition

- Defined in src/router/transition/interface.ts:99

### `Optional` hookType

hookType?: string

- Defined in src/router/transition/interface.ts:101

### `Optional` stateHook

stateHook?: boolean

- Defined in src/router/transition/interface.ts:105

### `Optional` target

target?: any

- Defined in src/router/transition/interface.ts:102

### `Optional` traceData

traceData?: any

- Defined in src/router/transition/interface.ts:103

### `Optional` transition

transition?: Transition

- Defined in src/router/transition/interface.ts:100